Skip to main content
GET
/
api
/
end_users
/
{end_user_heron_id}
/
background_check
Get EndUser background check dashboard payload
curl --request GET \
  --url https://app.herondata.io/api/end_users/{end_user_heron_id}/background_check \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/background_check"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/background_check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "end_user_id": "<string>",
  "subjects": [
    {
      "resolution": {
        "entity_not_found": true,
        "report_unavailable": true,
        "aka_names": [
          "<string>"
        ],
        "confidence_score": 123,
        "match_score": {
          "fields": [
            {
              "field": "<string>",
              "max_points": 123,
              "points": 123,
              "application_value": "<string>",
              "candidate_value": "<string>",
              "reason": "<string>"
            }
          ],
          "score": 123,
          "score_version": "<string>",
          "cap_reason": "<string>"
        },
        "method": "<string>"
      },
      "searches": [
        {
          "candidate_count": 123,
          "candidates": [
            {
              "is_best_candidate": true,
              "is_limited": true,
              "is_match": true,
              "address": "<string>",
              "aka_names": [
                "<string>"
              ],
              "duns_numbers": [
                "<string>"
              ],
              "entity_id": "<string>",
              "group_id": "<string>",
              "match_score": {
                "fields": [
                  {
                    "field": "<string>",
                    "max_points": 123,
                    "points": 123,
                    "application_value": "<string>",
                    "candidate_value": "<string>",
                    "reason": "<string>"
                  }
                ],
                "score": 123,
                "score_version": "<string>",
                "cap_reason": "<string>"
              },
              "matched_address": "<string>",
              "matched_aka_name": "<string>",
              "name": "<string>",
              "rank": 123,
              "reason": "<string>",
              "relevance": 123,
              "selection_basis": "<string>",
              "selection_rank_reason": "<string>"
            }
          ],
          "inputs": {
            "fuzzy": true,
            "address": "<string>",
            "business_name": "<string>",
            "corporation_id": "<string>",
            "date_of_birth": "2023-12-25",
            "email": "<string>",
            "filing_state": "<string>",
            "name": "<string>",
            "phone": "<string>",
            "ssn": "<string>",
            "state": "<string>"
          },
          "is_resolving_match": true,
          "search_method": "<string>",
          "matched_group_id": "<string>",
          "outcome_reason": {
            "details": [
              {
                "label": "<string>",
                "value": null
              }
            ],
            "label": "<string>"
          },
          "top_relevance": 123
        }
      ],
      "sections": [
        {
          "count": 123,
          "label": "<string>",
          "records": [
            {
              "arresting_agency": "<string>",
              "case_number": "<string>",
              "categories": [],
              "category": "<string>",
              "court_name": "<string>",
              "disposition": "<string>",
              "disposition_date": "2023-12-25",
              "entry_count": 123,
              "filed_date": "2023-12-25",
              "is_dismissed": true,
              "is_felony": true,
              "is_unclassified": true,
              "offense": "<string>",
              "sentence": "<string>",
              "severity": "<unknown>",
              "severity_text": "<string>",
              "shared_case_key": "<string>",
              "source_entries": [
                {
                  "arresting_agency": "<string>",
                  "case_number": "<string>",
                  "categories": [],
                  "category": "<string>",
                  "court_name": "<string>",
                  "disposition": "<string>",
                  "disposition_date": "2023-12-25",
                  "filed_date": "2023-12-25",
                  "is_dismissed": true,
                  "is_felony": true,
                  "offense": "<string>",
                  "sentence": "<string>",
                  "severity": "<unknown>",
                  "severity_text": "<string>",
                  "source_entry_id": "<string>",
                  "statute_code": "<string>"
                }
              ],
              "source_entry_id": "<string>",
              "source_entry_ids": [
                "<string>"
              ],
              "statute_code": "<string>"
            }
          ],
          "addresses": [
            {
              "address": "<string>",
              "city_state": "<string>",
              "first_reported_date": "2023-12-25",
              "last_reported_date": "2023-12-25",
              "source": "<string>"
            }
          ],
          "akas": [
            "<string>"
          ],
          "emails": [
            {
              "email": "<string>",
              "source": "<string>"
            }
          ],
          "entry_count": 123,
          "phones": [
            {
              "carrier": "<string>",
              "number": "<string>",
              "source": "<string>",
              "type": "<string>"
            }
          ],
          "ssn_issuance": {
            "expiration_date": "<string>",
            "issuance_text": "<string>",
            "issue_date": "<string>",
            "issue_state": "<string>"
          },
          "work_affiliations": [
            {
              "address": "<string>",
              "business_name": "<string>",
              "role": "<string>",
              "since_date": "2023-12-25",
              "status": "<string>"
            }
          ]
        }
      ],
      "unreported_officers": [
        "<string>"
      ],
      "case_ref": "<string>",
      "duns_numbers": [
        "<string>"
      ],
      "name": "<string>",
      "related_party_officers": [
        "<string>"
      ],
      "role": "<string>"
    }
  ],
  "overall": {
    "check_counts": {
      "fail": 123,
      "pass": 123,
      "review": 123
    }
  },
  "policy": {
    "checks": [
      {
        "area": "<string>",
        "check_text": "<string>",
        "evidence_subjects": [
          {
            "filtered": true,
            "record_indices": [
              123
            ],
            "section": "<string>"
          }
        ],
        "id": "<string>",
        "signal": "<string>",
        "area_sub": "<string>",
        "auto_reason": "<string>",
        "override": {
          "at": "2023-11-07T05:31:56Z",
          "by": "<string>"
        },
        "rule": "<string>"
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

end_user_heron_id
string
required

The Heron ID of the end user

Response

OK

end_user_id
string
required

Heron ID of the end user

status
enum<string>
required
Available options:
never_run,
processing,
succeeded,
failed,
missing_input_data
subjects
object[]
required
overall
object | null
policy
object | null
processing_stage
enum<string> | null
Available options:
searching,
pulling_reports,
analysing,
null